Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.links.controls
Interface LinksControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.links.Link>, ContentControlBase<com.bea.apps.groupspace.links.Link,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.links.Link>, Serializable

    public interface LinksControl

extends CM_Control<com.bea.apps.groupspace.links.Link>

This control creates the Link content object for GroupSpace.

Nested Class Summary
`static interface` | `LinksControl.Params`

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType`

Method Summary
`com.bea.apps.groupspace.links.Link` | `create(String title, String url, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)` Create a new Link that will be put in default group folder.
`com.bea.apps.groupspace.links.Link` | `create(String title, String url, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` Create a new Link that has related Community Content.
`com.bea.apps.groupspace.links.Link` | `create(String linkGroup, String title, String url, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)` Create a new Link, putting it in the named group folder, unless the visibility is personal, in which case it will be ignored.
`com.bea.apps.groupspace.links.Link` | `create(String linkGroup, String title, String url, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.content.ID[] relatedNodes)` Create a new Link that has related Community Content.
`com.bea.apps.groupspace.links.Link` | `create(String linkGroup, String title, String url, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` Create a new Link that has related Community Content.
`com.bea.apps.groupspace.links.Link` | `create(String linkGroup, String title, String url, String urlType, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)` Create a new Link, putting it in the named group folder, unless the visibility is personal, in which case it will be ignored.
`com.bea.apps.groupspace.links.Link` | `create(String linkGroup, String title, String url, String urlType, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, com.bea.content.ID[] relatedNodes)` Create a new Link that has related Community Content.
`void` | `forceRemoveGroup(String groupName)` Remove this link folder and all links beneath it, regardless of ownership.
`com.bea.content.Node` | `getLinkGroup(String groupName)` Get the Node associated with this link group.
`Set<String>` | `getLinkGroupNames()` Get all link group names.
`Set<com.bea.apps.groupspace.links.Link>` | `getLinksInGroup(String groupName, com.bea.content.expression.SortCriteria[] sortCriteria)` Get all the links beneath this group node.
`boolean` | `isNameOfExistingGroup(String groupName)` Validate that the group with groupName exists.
`com.bea.apps.groupspace.links.Link` | `moveLinkToGroup(com.bea.apps.groupspace.links.Link link, String groupName)` Move this link to another group.
`void` | `removeGroup(String groupName)` Remove this link folder and all links beneath it.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.links.Link create(String linkGroup,
                                              String title,
                                              String url,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link, putting it in the named group folder, unless the visibility is personal, in which case it will be ignored. Otherwise, if the group folder does not exist, it will be created. This Link will be of the default url type.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String linkGroup,
                                              String title,
                                              String url,
                                              String urlType,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link, putting it in the named group folder, unless the visibility is personal, in which case it will be ignored. Otherwise, if the group folder does not exist, it will be created.

  Parameters
    `title` -
    `url` -
    `urlType` -
    `description` -
    `visibility` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String title,
                                              String url,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link that will be put in default group folder.

  Parameters
    `title` -
    `url` -
    `description` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String linkGroup,
                                              String title,
                                              String url,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                              com.bea.content.ID[] relatedNodes)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link that has related Community Content. Put the link in the default group folder. This link will be created with the default url type.

  Parameters
    `linkGroup` -
    `title` -
    `url` -
    `description` -
    `relatedNodes` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String linkGroup,
                                              String title,
                                              String url,
                                              String urlType,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                              com.bea.content.ID[] relatedNodes)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link that has related Community Content. Put the link in the named group folder, unless the visibility is personal, in which case it will be ignored. Otherwise, if the group folder does not exist, it will be created. This link will be created with the default url type.

  Parameters
    `linkGroup` -
    `title` -
    `url` -
    `urlType` -
    `description` -
    `visibility` -
    `relatedNodes` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String title,
                                              String url,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                              com.bea.content.ID[] relatedNodes,
                                              Set<CmxControl.PropertyPair> dynamicProps)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link that has related Community Content. Put the link in the default group folder. This link will be created with the default url type and may have these dynamic properties.

  Parameters
    `title` -
    `url` -
    `description` -
    `visibility` -
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### create

    com.bea.apps.groupspace.links.Link create(String linkGroup,
                                              String title,
                                              String url,
                                              String description,
                                              com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                              com.bea.content.ID[] relatedNodes,
                                              Set<CmxControl.PropertyPair> dynamicProps)
                                              throws com.bea.content.NoSuchNodeException,
                                                     com.bea.content.RepositoryException,
                                                     com.bea.content.AuthorizationException,
                                                     CharacterCodingException

  Create a new Link that has related Community Content. Put the link in the named group folder, unless the visibility is personal, in which case it will be ignored. Otherwise, if the group folder does not exist, it will be created. This link will be created with the default url type and may have these dynamic properties.

  Parameters
    `linkGroup` -
    `title` -
    `url` -
    `description` -
    `visibility` -
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `CharacterCodingException`

### getLinkGroup

    com.bea.content.Node getLinkGroup(String groupName)
                                      throws com.bea.content.NoSuchNodeException,
                                             com.bea.content.RepositoryException,
                                             com.bea.content.AuthorizationException

  Get the Node associated with this link group. Only relevant for Community and Private visibility.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### isNameOfExistingGroup

    boolean isNameOfExistingGroup(String groupName)
                                  throws com.bea.content.RepositoryException,
                                         com.bea.content.AuthorizationException

  Validate that the group with groupName exists. Only relevant for Community and Private visibility.

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### getLinkGroupNames

    Set<String> getLinkGroupNames()
                                  throws com.bea.content.NoSuchNodeException,
                                         com.bea.content.RepositoryException,
                                         com.bea.content.AuthorizationException

  Get all link group names. Returns null if no groups are found. Only relevant for Community and Private visibility.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### getLinksInGroup

    Set<com.bea.apps.groupspace.links.Link> getLinksInGroup(String groupName,
                                                            com.bea.content.expression.SortCriteria[] sortCriteria)
                                                            throws com.bea.content.NoSuchNodeException,
                                                                   com.bea.content.RepositoryException,
                                                                   com.bea.content.AuthorizationException

  Get all the links beneath this group node. Returns null if there are none. This method returns all the links with COMMUNITY visibility. Only relevant for Community and Private visibility.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### moveLinkToGroup

    com.bea.apps.groupspace.links.Link moveLinkToGroup(com.bea.apps.groupspace.links.Link link,
                                                       String groupName)
                                                       throws com.bea.content.NoSuchNodeException,
                                                              com.bea.content.RepositoryException,
                                                              com.bea.content.AuthorizationException

  Move this link to another group. Only relevant for Community and Private visibility.

  Parameters
    `link` -
    `groupName` -
  Returns
  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### removeGroup

    void removeGroup(String groupName)
                     throws com.bea.content.NoSuchNodeException,
                            com.bea.content.RepositoryException,
                            com.bea.content.AuthorizationException

  Remove this link folder and all links beneath it. If there are links with Private visibility beneath this group, those links may not be removed unless the caller of this method owns those links. Any other private links may not be removed, and an AuthorizationException will be thrown.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException` - if private links exist in this group
    `com.bea.content.AuthorizationException`

### forceRemoveGroup

    void forceRemoveGroup(String groupName)
                          throws com.bea.content.NoSuchNodeException,
                                 com.bea.content.RepositoryException,
                                 com.bea.content.AuthorizationException

  Remove this link folder and all links beneath it, regardless of ownership.

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved